set define off
set verify off
set serveroutput on size 1000000
set feedback off
WHENEVER SQLERROR EXIT SQL.SQLCODE ROLLBACK
begin wwv_flow.g_import_in_progress := true; end; 
/
 
--       AAAA       PPPPP   EEEEEE  XX      XX
--      AA  AA      PP  PP  EE       XX    XX
--     AA    AA     PP  PP  EE        XX  XX
--    AAAAAAAAAA    PPPPP   EEEE       XXXX
--   AA        AA   PP      EE        XX  XX
--  AA          AA  PP      EE       XX    XX
--  AA          AA  PP      EEEEEE  XX      XX
prompt  Set Credentials...
 
begin
 
  -- Assumes you are running the script connected to SQL*Plus as the Oracle user APEX_040000 or as the owner (parsing schema) of the application.
  wwv_flow_api.set_security_group_id(p_security_group_id=>nvl(wwv_flow_application_install.get_workspace_id,16966814681204410));
 
end;
/

begin wwv_flow.g_import_in_progress := true; end;
/
begin 

select value into wwv_flow_api.g_nls_numeric_chars from nls_session_parameters where parameter='NLS_NUMERIC_CHARACTERS';

end;

/
begin execute immediate 'alter session set nls_numeric_characters=''.,''';

end;

/
begin wwv_flow.g_browser_language := 'en'; end;
/
prompt  Check Compatibility...
 
begin
 
-- This date identifies the minimum version required to import this file.
wwv_flow_api.set_version(p_version_yyyy_mm_dd=>'2010.05.13');
 
end;
/

prompt  Set Application ID...
 
begin
 
   -- SET APPLICATION ID
   wwv_flow.g_flow_id := nvl(wwv_flow_application_install.get_application_id,216);
   wwv_flow_api.g_id_offset := nvl(wwv_flow_application_install.get_offset,0);
null;
 
end;
/

prompt  ...plugins
--
--application/shared_components/plugins/dynamic_action/com_skillbuilders_save_before_exit
 
begin
 
wwv_flow_api.create_plugin (
  p_id => 28532816418485247540 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_type => 'DYNAMIC ACTION'
 ,p_name => 'COM_SKILLBUILDERS_SAVE_BEFORE_EXIT'
 ,p_display_name => 'SkillBuilders Save Before Exit (3.0.1)'
 ,p_category => 'NOTIFICATION'
 ,p_image_prefix => '#PLUGIN_PREFIX#'
 ,p_plsql_code => 
'FUNCTION render_save_before_exit ('||chr(10)||
'   p_dynamic_action IN APEX_PLUGIN.T_DYNAMIC_ACTION,'||chr(10)||
'   p_plugin         IN APEX_PLUGIN.T_PLUGIN '||chr(10)||
')'||chr(10)||
''||chr(10)||
'   RETURN APEX_PLUGIN.T_DYNAMIC_ACTION_RENDER_RESULT'||chr(10)||
'   '||chr(10)||
'IS'||chr(10)||
''||chr(10)||
'   l_result                  APEX_PLUGIN.T_DYNAMIC_ACTION_RENDER_RESULT;'||chr(10)||
'   l_save_message            VARCHAR2(4000);'||chr(10)||
'   l_no_warning_sel          VARCHAR2(4000);'||chr(10)||
'   l_ignore_modification_sel VARCHAR2(40'||
'00);'||chr(10)||
'   l_disable_time            PLS_INTEGER;'||chr(10)||
'   l_highlight_modifications VARCHAR2(1);'||chr(10)||
'   l_crlf                    CHAR(2) := CHR(13)||CHR(10);'||chr(10)||
''||chr(10)||
'BEGIN'||chr(10)||
''||chr(10)||
'   l_save_message := NVL(p_dynamic_action.attribute_01,''You have made changes to data on this page. If you navigate away from this page without first saving your data, the changes will be lost.'');'||chr(10)||
'   l_no_warning_sel := NVL(p_dynamic_action.attr'||
'ibute_02,'':button'');'||chr(10)||
'   l_ignore_modification_sel := NVL(p_dynamic_action.attribute_03, ''#pRequest'');'||chr(10)||
'   l_disable_time := NVL(p_dynamic_action.attribute_04, 250);'||chr(10)||
'   l_highlight_modifications := NVL(p_dynamic_action.attribute_05, ''Y'');'||chr(10)||
''||chr(10)||
'   IF apex_application.g_debug'||chr(10)||
'   THEN'||chr(10)||
'      apex_plugin_util.debug_dynamic_action('||chr(10)||
'         p_plugin         => p_plugin,'||chr(10)||
'         p_dynamic_action => p_dynamic_'||
'action '||chr(10)||
'      );'||chr(10)||
'   END IF;'||chr(10)||
'   '||chr(10)||
'   apex_javascript.add_library('||chr(10)||
'      p_name      => ''apex_save_before_exit.min'','||chr(10)||
'      p_directory => p_plugin.file_prefix,'||chr(10)||
'      p_version   => NULL '||chr(10)||
'   );'||chr(10)||
'   '||chr(10)||
'   apex_css.add('||chr(10)||
'      p_css => ''.apex-save-before-exit-highlight {background-color: #FFFFCC !important;border: 1px solid #CC9900 !important;padding: 2px !important;}'','||chr(10)||
'      p_key => ''apex-save-before-exit'||
'-highlight'' '||chr(10)||
'   );'||chr(10)||
''||chr(10)||
'   l_result.javascript_function := '||chr(10)||
'         ''function(){apex.jQuery(document).apex_save_before_exit({'' || l_crlf'||chr(10)||
'      || ''   '' || apex_javascript.add_attribute(''saveMessage'',  l_save_message) || l_crlf'||chr(10)||
'      || ''   '' || apex_javascript.add_attribute(''noWarningSelector'',  l_no_warning_sel) || l_crlf'||chr(10)||
'      || ''   '' || apex_javascript.add_attribute(''disableTime'',  l_disable_time'||
') || l_crlf'||chr(10)||
'      || ''   '' || apex_javascript.add_attribute(''ignoreModificationsSelector'',  l_ignore_modification_sel) || l_crlf'||chr(10)||
'      || ''   '' || apex_javascript.add_attribute(''highlightModifiedItems'',  l_highlight_modifications, FALSE, FALSE) || l_crlf'||chr(10)||
'      || ''});}'';'||chr(10)||
''||chr(10)||
'   RETURN l_result;'||chr(10)||
'    '||chr(10)||
'END render_save_before_exit;'
 ,p_render_function => 'render_save_before_exit'
 ,p_help_text => '<br />'||chr(10)||
''
 ,p_version_identifier => '3.0.1'
 ,p_about_url => 'http://skillbuilders.com/download/download-resource.cfm?file=Oracle-Apex/plugins/sbdp_save_before_exit/instructions.pdf'
  );
wwv_flow_api.create_plugin_attribute (
  p_id => 28533264918760704554 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_id => 28532816418485247540 + wwv_flow_api.g_id_offset
 ,p_attribute_scope => 'COMPONENT'
 ,p_attribute_sequence => 1
 ,p_display_sequence => 10
 ,p_prompt => 'Warning Message'
 ,p_attribute_type => 'TEXTAREA'
 ,p_is_required => true
 ,p_default_value => 'You have made changes to data on this page.  If you navigate away from this page without first saving your data, the changes will be lost.'
 ,p_display_length => 60
 ,p_max_length => 200
 ,p_is_translatable => false
 ,p_help_text => 'This setting contains the warning message displayed to users if they try to leave the page without using one of the elements selected via No Warning Selector attribute. Note that some browsers will display a default message even when a custom message is supplied.'
  );
wwv_flow_api.create_plugin_attribute (
  p_id => 28530943405397513311 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_id => 28532816418485247540 + wwv_flow_api.g_id_offset
 ,p_attribute_scope => 'COMPONENT'
 ,p_attribute_sequence => 2
 ,p_display_sequence => 20
 ,p_prompt => 'Disable Warning Selector'
 ,p_attribute_type => 'TEXT'
 ,p_is_required => false
 ,p_default_value => ':button'
 ,p_display_length => 50
 ,p_is_translatable => false
 ,p_help_text => '<p>'||chr(10)||
'	This attribute allows developers to specify which elements should allow end users to leave the page without being prompted, even if changes have been made. The default &ldquo;:button&rdquo; selector selects all button elements which are typically &ldquo;valid exits&rdquo; from a page. In some cases the default selector will not work. Examples include:</p>'||chr(10)||
'<ul>'||chr(10)||
'	<li>'||chr(10)||
'		A custom theme is used that does not use standard buttons</li>'||chr(10)||
'	<li>'||chr(10)||
'		Some buttons on a page are not considered valid exits without warning</li>'||chr(10)||
'</ul>'||chr(10)||
'<p>'||chr(10)||
'	In these cases, or any others that may apply, the selector can be modified as needed. The value specified can be any valid jQuery selector. See the documentation for more details on selectors.</p>'||chr(10)||
''
  );
wwv_flow_api.create_plugin_attribute (
  p_id => 28528140105557727828 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_id => 28532816418485247540 + wwv_flow_api.g_id_offset
 ,p_attribute_scope => 'COMPONENT'
 ,p_attribute_sequence => 3
 ,p_display_sequence => 40
 ,p_prompt => 'Ignore Modifications Selector'
 ,p_attribute_type => 'TEXT'
 ,p_is_required => false
 ,p_default_value => '#pRequest'
 ,p_display_length => 50
 ,p_is_translatable => false
 ,p_help_text => '<p>'||chr(10)||
'	By default this plug-in attempts to detect changes on all visible items. This includes:</p>'||chr(10)||
'<ol>'||chr(10)||
'	<li>'||chr(10)||
'		Standard'||chr(10)||
'		<ol style="list-style-type:lower-alpha;">'||chr(10)||
'			<li>'||chr(10)||
'				Input elements of type text, file, password, radio, checkbox, and hidden</li>'||chr(10)||
'			<li>'||chr(10)||
'				Textarea elements</li>'||chr(10)||
'			<li>'||chr(10)||
'				Select elements</li>'||chr(10)||
'			<li>'||chr(10)||
'				Shuttles</li>'||chr(10)||
'		</ol>'||chr(10)||
'	</li>'||chr(10)||
'	<li>'||chr(10)||
'		Special'||chr(10)||
'		<ol style="list-style-type:lower-alpha;">'||chr(10)||
'			<li>'||chr(10)||
'				CKEditor items (new rich text editors)</li>'||chr(10)||
'		</ol>'||chr(10)||
'	</li>'||chr(10)||
'</ol>'||chr(10)||
'<p>'||chr(10)||
'	The Ignore Modifications Selector setting accepts a jQuery selector used to exclude elements from the change detection process. The following jQuery selector could be used to exclude a rich text editor:</p>'||chr(10)||
'<p style="margin-left:.5in;">'||chr(10)||
'	#P3_TICKET_HISTORY</p>'||chr(10)||
''
  );
wwv_flow_api.create_plugin_attribute (
  p_id => 23312723267834608817 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_id => 28532816418485247540 + wwv_flow_api.g_id_offset
 ,p_attribute_scope => 'COMPONENT'
 ,p_attribute_sequence => 4
 ,p_display_sequence => 30
 ,p_prompt => 'Disable Milliseconds'
 ,p_attribute_type => 'INTEGER'
 ,p_is_required => true
 ,p_default_value => '250'
 ,p_display_length => 3
 ,p_max_length => 4
 ,p_is_translatable => false
 ,p_help_text => 'Elements selected via the Disable Warning Selector will temporarily disable the warning message when clicked. Use the Disable Milliseconds setting to control the length of time that the warning is disabled. The default of 250 milliseconds (1/4 second) is typically long enough to prevent issues that can occur in IE while remaining short enough that the warning will re-enable if the user stays on the page for whatever reason. '
  );
wwv_flow_api.create_plugin_attribute (
  p_id => 18093405884147035 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_id => 28532816418485247540 + wwv_flow_api.g_id_offset
 ,p_attribute_scope => 'COMPONENT'
 ,p_attribute_sequence => 5
 ,p_display_sequence => 50
 ,p_prompt => 'Highlight Modified Item(s)'
 ,p_attribute_type => 'CHECKBOX'
 ,p_is_required => false
 ,p_default_value => 'Y'
 ,p_is_translatable => true
 ,p_help_text => 'This setting is used to control whether or not items that were modified are highlighted. This can help make the reason for which the warning message was displayed more obvious to the end user.'
  );
null;
 
end;
/

 
begin
 
wwv_flow_api.g_varchar2_table := wwv_flow_api.empty_varchar2_table;
wwv_flow_api.g_varchar2_table(1) := '2866756E6374696F6E2861297B612E776964676574282275692E617065785F736176655F6265666F72655F65786974222C7B6F7074696F6E733A7B736176654D6573736167653A6E756C6C2C6E6F5761726E696E6753656C6563746F723A6E756C6C2C64';
wwv_flow_api.g_varchar2_table(2) := '697361626C6554696D653A6E756C6C2C69676E6F72654D6F64696669636174696F6E7353656C6563746F723A6E756C6C2C686967686C696768744D6F6469666965644974656D733A6E756C6C2C64656275673A6128222370646562756722292E6C656E67';
wwv_flow_api.g_varchar2_table(3) := '7468213D3D307D2C5F6372656174655072697661746553746F726167653A66756E6374696F6E28297B76617220623D746869733B696628622E6F7074696F6E732E6465627567297B617065782E6465627567282253617665204265666F72652045786974';
wwv_flow_api.g_varchar2_table(4) := '3A205F6372656174655072697661746553746F72616765202873746172742922297D622E5F76616C7565733D7B6974656D4D6F6469666965643A66616C73652C70726F6D7074557365723A747275652C666F72636550726F6D70743A66616C73657D3B62';
wwv_flow_api.g_varchar2_table(5) := '2E5F656C656D656E74733D7B246D6F6469666965644974656D733A6128297D3B696628622E6F7074696F6E732E6465627567297B617065782E6465627567282253617665204265666F726520457869743A205F6372656174655072697661746553746F72';
wwv_flow_api.g_varchar2_table(6) := '6167652028656E642922297D7D2C5F6372656174653A66756E6374696F6E28297B76617220633D746869733B76617220623B76617220643B696628632E6F7074696F6E732E6465627567297B617065782E6465627567282253617665204265666F726520';
wwv_flow_api.g_varchar2_table(7) := '457869743A205F637265617465202873746172742922293B617065782E646562756728222E2E2E4F7074696F6E7322293B666F72286E616D6520696E20632E6F7074696F6E73297B617065782E646562756728222E2E2E2E2E2E222B6E616D652B273A20';
wwv_flow_api.g_varchar2_table(8) := '22272B632E6F7074696F6E735B6E616D655D2B272227297D7D632E5F6372656174655072697661746553746F7261676528293B696628632E6F7074696F6E732E69676E6F72654D6F64696669636174696F6E7353656C6563746F723D3D3D756E64656669';
wwv_flow_api.g_varchar2_table(9) := '6E65647C7C632E6F7074696F6E732E69676E6F72654D6F64696669636174696F6E7353656C6563746F723D3D3D6E756C6C297B632E6F7074696F6E732E69676E6F72654D6F64696669636174696F6E7353656C6563746F723D22227D696628632E6F7074';
wwv_flow_api.g_varchar2_table(10) := '696F6E732E6465627567297B623D6128632E6F7074696F6E732E69676E6F72654D6F64696669636174696F6E7353656C6563746F72293B696628622E6C656E677468297B622E656163682866756E6374696F6E28297B617065782E646562756728272E2E';
wwv_flow_api.g_varchar2_table(11) := '2E49676E6F7265206D6F64696669636174696F6E7320746F3A2022272B746869732E6E6F64654E616D652B272227293B666F72286E616D6520696E20746869732E61747472696275746573297B696628747970656F6628746869732E6174747269627574';
wwv_flow_api.g_varchar2_table(12) := '65735B6E616D655D29213D3D2266756E6374696F6E22297B617065782E646562756728222E2E2E2E2E2E222B746869732E617474726962757465735B6E616D655D2E6E6F64654E616D652B273A2022272B746869732E617474726962757465735B6E616D';
wwv_flow_api.g_varchar2_table(13) := '655D2E6E6F646556616C75652B272227297D7D7D297D656C73657B617065782E646562756728222E2E2E4E6F20656C656D656E74732073656C656374656420746F2069676E6F7265206D6F64696669636174696F6E7320746F22297D7D696628632E6F70';
wwv_flow_api.g_varchar2_table(14) := '74696F6E732E6E6F5761726E696E6753656C6563746F723D3D3D756E646566696E65647C7C632E6F7074696F6E732E6E6F5761726E696E6753656C6563746F723D3D3D6E756C6C297B632E6F7074696F6E732E6E6F5761726E696E6753656C6563746F72';
wwv_flow_api.g_varchar2_table(15) := '3D22227D643D6128632E6F7074696F6E732E6E6F5761726E696E6753656C6563746F72293B696628632E6F7074696F6E732E6465627567262621642E6C656E677468297B617065782E646562756728222E2E2E4E6F20656C656D656E74732073656C6563';
wwv_flow_api.g_varchar2_table(16) := '74656420746F20616C6C6F77206C656176696E6720776974686F7574207761726E696E677322297D642E656163682866756E6374696F6E28297B76617220663D612874686973293B76617220653D662E6174747228226F6E636C69636B22293B69662863';
wwv_flow_api.g_varchar2_table(17) := '2E6F7074696F6E732E6465627567297B617065782E646562756728272E2E2E44697361626C65207761726E696E677320666F723A2022272B746869732E6E6F64654E616D652B272227293B666F72286E616D6520696E20746869732E6174747269627574';
wwv_flow_api.g_varchar2_table(18) := '6573297B696628747970656F6628746869732E617474726962757465735B6E616D655D29213D3D2266756E6374696F6E22297B617065782E646562756728222E2E2E2E2E2E222B746869732E617474726962757465735B6E616D655D2E6E6F64654E616D';
wwv_flow_api.g_varchar2_table(19) := '652B273A2022272B746869732E617474726962757465735B6E616D655D2E6E6F646556616C75652B272227297D7D7D69662865297B696628747970656F6620653D3D3D22737472696E6722297B652E7265706C616365282F5E4A4156415343524950543A';
wwv_flow_api.g_varchar2_table(20) := '2F692C2222293B653D6E65772046756E6374696F6E2865297D662E72656D6F76654174747228226F6E636C69636B22292E636C69636B2866756E6374696F6E28297B632E5F64697361626C655761726E696E6754656D7028293B6528297D297D656C7365';
wwv_flow_api.g_varchar2_table(21) := '7B662E636C69636B2866756E6374696F6E28297B632E5F64697361626C655761726E696E6754656D7028297D297D7D293B77696E646F772E6F6E6265666F7265756E6C6F61643D66756E6374696F6E28297B696628632E5F76616C7565732E666F726365';
wwv_flow_api.g_varchar2_table(22) := '50726F6D7074297B696628612E62726F777365722E6D736965297B632E5F64697361626C655761726E696E6754656D7028297D72657475726E20632E6F7074696F6E732E736176654D6573736167657D656C73657B696628632E5F76616C7565732E7072';
wwv_flow_api.g_varchar2_table(23) := '6F6D707455736572297B696628632E6F7074696F6E732E686967686C696768744D6F6469666965644974656D733D3D3D225922297B632E5F6465746563744D6F64696669636174696F6E732866616C73652C747275652C66616C7365297D656C73657B63';
wwv_flow_api.g_varchar2_table(24) := '2E5F6465746563744D6F64696669636174696F6E7328747275652C66616C73652C66616C7365297D696628632E5F76616C7565732E6974656D4D6F6469666965643D3D3D66616C7365297B72657475726E7D696628612E62726F777365722E6D73696529';
wwv_flow_api.g_varchar2_table(25) := '7B632E5F64697361626C655761726E696E6754656D7028297D696628632E5F76616C7565732E6974656D4D6F646966696564297B72657475726E20632E6F7074696F6E732E736176654D6573736167657D7D7D7D3B612822666F726D23777776466C6F77';
wwv_flow_api.g_varchar2_table(26) := '466F726D206669656C647365742E73687574746C6522292E6E6F7428632E6F7074696F6E732E69676E6F72654D6F64696669636174696F6E7353656C6563746F72292E656163682866756E6374696F6E28297B76617220653D247628746869732E696429';
wwv_flow_api.g_varchar2_table(27) := '3B612874686973292E646174612822617065782D7362652D6C6F61642D76616C222C65297D293B696628632E6F7074696F6E732E6465627567297B617065782E6465627567282253617665204265666F726520457869743A205F6372656174652028656E';
wwv_flow_api.g_varchar2_table(28) := '642922297D7D2C5F64697361626C655761726E696E6754656D703A66756E6374696F6E28297B76617220623D746869733B696628622E6F7074696F6E732E6465627567297B617065782E6465627567282253617665204265666F726520457869743A205F';
wwv_flow_api.g_varchar2_table(29) := '64697361626C655761726E696E6754656D70202873746172742922297D622E5F76616C7565732E70726F6D7074557365723D66616C73653B73657454696D656F75742866756E6374696F6E28297B622E656E61626C655761726E696E6728297D2C622E6F';
wwv_flow_api.g_varchar2_table(30) := '7074696F6E732E64697361626C6554696D65293B696628622E6F7074696F6E732E6465627567297B617065782E6465627567282253617665204265666F726520457869743A205F64697361626C655761726E696E6754656D702028656E642922297D7D2C';
wwv_flow_api.g_varchar2_table(31) := '5F6465746563744D6F64696669636174696F6E733A66756E6374696F6E28642C632C65297B76617220623D746869733B696628622E6F7074696F6E732E6465627567297B617065782E6465627567282253617665204265666F726520457869743A205F64';
wwv_flow_api.g_varchar2_table(32) := '65746563744D6F64696669636174696F6E73202873746172742922297D622E5F76616C7565732E6974656D4D6F6469666965643D66616C73653B622E5F656C656D656E74732E246D6F6469666965644974656D733D6128293B69662863297B6128222E61';
wwv_flow_api.g_varchar2_table(33) := '7065782D736176652D6265666F72652D657869742D686967686C6967687422292E72656D6F7665436C6173732822617065782D736176652D6265666F72652D657869742D686967686C6967687422297D612827666F726D23777776466C6F77466F726D20';
wwv_flow_api.g_varchar2_table(34) := '696E7075745B747970653D2274657874225D2C666F726D23777776466C6F77466F726D20696E7075745B747970653D2266696C65225D2C666F726D23777776466C6F77466F726D20696E7075745B747970653D2270617373776F7264225D2C666F726D23';
wwv_flow_api.g_varchar2_table(35) := '777776466C6F77466F726D20696E7075745B747970653D2268696464656E225D27292E6E6F7428622E6F7074696F6E732E69676E6F72654D6F64696669636174696F6E7353656C6563746F72292E656163682866756E6374696F6E28297B696628746869';
wwv_flow_api.g_varchar2_table(36) := '732E76616C7565213D3D746869732E64656661756C7456616C7565297B622E5F76616C7565732E6974656D4D6F6469666965643D747275653B69662865297B622E5F656C656D656E74732E246D6F6469666965644974656D733D622E5F656C656D656E74';
wwv_flow_api.g_varchar2_table(37) := '732E246D6F6469666965644974656D732E6164642874686973297D69662863297B612874686973292E616464436C6173732822617065782D736176652D6265666F72652D657869742D686967686C6967687422297D696628622E6F7074696F6E732E6465';
wwv_flow_api.g_varchar2_table(38) := '627567297B617065782E646562756728272E2E2E4D6F64696669636174696F6E206465746563746564206F6E3A2022272B746869732E69642B272227293B617065782E646562756728272E2E2E2E2E2E44656661756C742056616C75653A2022272B7468';
wwv_flow_api.g_varchar2_table(39) := '69732E64656661756C7456616C75652B272227293B617065782E646562756728272E2E2E2E2E2E43757272656E742056616C75653A2022272B746869732E76616C75652B272227297D69662864297B72657475726E2066616C73657D7D7D293B69662864';
wwv_flow_api.g_varchar2_table(40) := '2626622E5F76616C7565732E6974656D4D6F6469666965643D3D3D74727565297B72657475726E20747275657D612827666F726D23777776466C6F77466F726D20696E7075745B747970653D22726164696F225D2C666F726D23777776466C6F77466F72';
wwv_flow_api.g_varchar2_table(41) := '6D20696E7075745B747970653D22636865636B626F78225D27292E6E6F7428622E6F7074696F6E732E69676E6F72654D6F64696669636174696F6E7353656C6563746F72292E656163682866756E6374696F6E28297B696628746869732E636865636B65';
wwv_flow_api.g_varchar2_table(42) := '64213D3D746869732E64656661756C74436865636B6564297B622E5F76616C7565732E6974656D4D6F6469666965643D747275653B69662865297B622E5F656C656D656E74732E246D6F6469666965644974656D733D622E5F656C656D656E74732E246D';
wwv_flow_api.g_varchar2_table(43) := '6F6469666965644974656D732E61646428612874686973292E636C6F7365737428226669656C647365742229297D69662863297B612874686973292E636C6F7365737428226669656C6473657422292E616464436C6173732822617065782D736176652D';
wwv_flow_api.g_varchar2_table(44) := '6265666F72652D657869742D686967686C6967687422297D696628622E6F7074696F6E732E6465627567297B617065782E646562756728272E2E2E4D6F64696669636174696F6E206465746563746564206F6E3A2022272B746869732E69642B27222729';
wwv_flow_api.g_varchar2_table(45) := '3B617065782E646562756728272E2E2E2E2E2E44656661756C7420436865636B65643A2022272B746869732E64656661756C74436865636B65642B272227293B617065782E646562756728272E2E2E2E2E2E43757272656E7420436865636B65643A2022';
wwv_flow_api.g_varchar2_table(46) := '272B746869732E636865636B65642B272227297D69662864297B72657475726E2066616C73657D7D7D293B696628642626622E5F76616C7565732E6974656D4D6F6469666965643D3D3D74727565297B72657475726E20747275657D612822666F726D23';
wwv_flow_api.g_varchar2_table(47) := '777776466C6F77466F726D206669656C647365742E73687574746C6522292E6E6F7428622E6F7074696F6E732E69676E6F72654D6F64696669636174696F6E7353656C6563746F72292E656163682866756E6374696F6E28297B76617220673D24762874';
wwv_flow_api.g_varchar2_table(48) := '6869732E6964293B76617220663D612874686973292E646174612822617065782D7362652D6C6F61642D76616C22293B696628663D3D3D756E646566696E6564297B663D22227D69662867213D3D66297B622E5F76616C7565732E6974656D4D6F646966';
wwv_flow_api.g_varchar2_table(49) := '6965643D747275653B69662865297B622E5F656C656D656E74732E246D6F6469666965644974656D733D622E5F656C656D656E74732E246D6F6469666965644974656D732E6164642874686973297D69662863297B612874686973292E616464436C6173';
wwv_flow_api.g_varchar2_table(50) := '732822617065782D736176652D6265666F72652D657869742D686967686C6967687422297D696628622E6F7074696F6E732E6465627567297B617065782E646562756728272E2E2E4D6F64696669636174696F6E206465746563746564206F6E3A202227';
wwv_flow_api.g_varchar2_table(51) := '2B746869732E69642B272227293B617065782E646562756728272E2E2E2E2E2E44656661756C742056616C75653A2022272B662B272227293B617065782E646562756728272E2E2E2E2E2E43757272656E742056616C75653A2022272B672B272227297D';
wwv_flow_api.g_varchar2_table(52) := '69662864297B72657475726E2066616C73657D7D7D293B696628642626622E5F76616C7565732E6974656D4D6F6469666965643D3D3D74727565297B72657475726E20747275657D612822666F726D23777776466C6F77466F726D2073656C6563743A6E';
wwv_flow_api.g_varchar2_table(53) := '6F74282E73687574746C655F6C6566742C2E73687574746C655F72696768742922292E6E6F7428622E6F7074696F6E732E69676E6F72654D6F64696669636174696F6E7353656C6563746F72292E656163682866756E6374696F6E28297B666F72287661';
wwv_flow_api.g_varchar2_table(54) := '7220663D303B663C746869732E6C656E6774683B662B2B297B696628746869732E6F7074696F6E735B665D2E73656C6563746564213D3D746869732E6F7074696F6E735B665D2E64656661756C7453656C6563746564297B622E5F76616C7565732E6974';
wwv_flow_api.g_varchar2_table(55) := '656D4D6F6469666965643D747275653B69662865297B622E5F656C656D656E74732E246D6F6469666965644974656D733D622E5F656C656D656E74732E246D6F6469666965644974656D732E6164642874686973297D69662863297B612874686973292E';
wwv_flow_api.g_varchar2_table(56) := '616464436C6173732822617065782D736176652D6265666F72652D657869742D686967686C6967687422297D696628622E6F7074696F6E732E6465627567297B617065782E646562756728272E2E2E4D6F64696669636174696F6E206465746563746564';
wwv_flow_api.g_varchar2_table(57) := '206F6E3A2022272B746869732E69642B27222028272B746869732E6F7074696F6E735B665D2E746578742B222922293B617065782E646562756728272E2E2E2E2E2E44656661756C742053656C65637465643A2022272B746869732E6F7074696F6E735B';
wwv_flow_api.g_varchar2_table(58) := '665D2E64656661756C7453656C65637465642B272227293B617065782E646562756728272E2E2E2E2E2E43757272656E742053656C65637465643A2022272B746869732E6F7074696F6E735B665D2E73656C65637465642B272227297D69662864297B72';
wwv_flow_api.g_varchar2_table(59) := '657475726E2066616C73657D7D7D7D293B696628642626622E5F76616C7565732E6974656D4D6F6469666965643D3D3D74727565297B72657475726E20747275657D612822666F726D23777776466C6F77466F726D2074657874617265613A6E6F74282E';
wwv_flow_api.g_varchar2_table(60) := '726963685F746578745F656469746F722922292E6E6F7428622E6F7074696F6E732E69676E6F72654D6F64696669636174696F6E7353656C6563746F72292E656163682866756E6374696F6E28297B696628746869732E76616C7565213D3D746869732E';
wwv_flow_api.g_varchar2_table(61) := '64656661756C7456616C7565297B622E5F76616C7565732E6974656D4D6F6469666965643D747275653B69662865297B622E5F656C656D656E74732E246D6F6469666965644974656D733D622E5F656C656D656E74732E246D6F6469666965644974656D';
wwv_flow_api.g_varchar2_table(62) := '732E6164642874686973297D69662863297B612874686973292E616464436C6173732822617065782D736176652D6265666F72652D657869742D686967686C6967687422297D696628622E6F7074696F6E732E6465627567297B617065782E6465627567';
wwv_flow_api.g_varchar2_table(63) := '28272E2E2E4D6F64696669636174696F6E206465746563746564206F6E3A2022272B746869732E69642B272227293B617065782E646562756728272E2E2E2E2E2E44656661756C742056616C75653A2022272B746869732E64656661756C7456616C7565';
wwv_flow_api.g_varchar2_table(64) := '2B272227293B617065782E646562756728272E2E2E2E2E2E43757272656E742056616C75653A2022272B746869732E76616C75652B272227297D69662864297B72657475726E2066616C73657D7D7D293B696628642626622E5F76616C7565732E697465';
wwv_flow_api.g_varchar2_table(65) := '6D4D6F6469666965643D3D3D74727565297B72657475726E20747275657D612822666F726D23777776466C6F77466F726D2074657874617265612E726963685F746578745F656469746F7222292E6E6F7428622E6F7074696F6E732E69676E6F72654D6F';
wwv_flow_api.g_varchar2_table(66) := '64696669636174696F6E7353656C6563746F72292E656163682866756E6374696F6E28297B7472797B696628434B454449544F522E696E7374616E6365735B746869732E69645D2E636865636B44697274792829297B622E5F76616C7565732E6974656D';
wwv_flow_api.g_varchar2_table(67) := '4D6F6469666965643D747275653B69662865297B622E5F656C656D656E74732E246D6F6469666965644974656D733D622E5F656C656D656E74732E246D6F6469666965644974656D732E6164642874686973297D69662863297B612874686973292E636C';
wwv_flow_api.g_varchar2_table(68) := '6F736573742822746422292E616464436C6173732822617065782D736176652D6265666F72652D657869742D686967686C6967687422297D696628622E6F7074696F6E732E6465627567297B617065782E646562756728272E2E2E4D6F64696669636174';
wwv_flow_api.g_varchar2_table(69) := '696F6E206465746563746564206F6E3A2022272B746869732E69642B272227293B617065782E646562756728272E2E2E2E2E2E44656661756C742056616C75653A2022272B746869732E64656661756C7456616C75652B272227293B617065782E646562';
wwv_flow_api.g_varchar2_table(70) := '756728272E2E2E2E2E2E43757272656E742056616C75653A2022272B434B454449544F522E696E7374616E6365735B746869732E69645D2E6765744461746128292B272227297D69662864297B72657475726E2066616C73657D7D7D6361746368286629';
wwv_flow_api.g_varchar2_table(71) := '7B6E756C6C7D7D297D2C6D6F64696669636174696F6E44657465637465643A66756E6374696F6E28297B76617220623D746869733B696628622E6F7074696F6E732E6465627567297B617065782E6465627567282253617665204265666F726520457869';
wwv_flow_api.g_varchar2_table(72) := '743A206D6F64696669636174696F6E4465746563746564202873746172742922297D622E5F6465746563744D6F64696669636174696F6E7328747275652C66616C73652C66616C7365293B696628622E6F7074696F6E732E6465627567297B617065782E';
wwv_flow_api.g_varchar2_table(73) := '6465627567282253617665204265666F726520457869743A206D6F64696669636174696F6E44657465637465642028656E642922297D72657475726E20622E5F76616C7565732E6974656D4D6F6469666965647D2C6D6F6469666965644974656D733A66';
wwv_flow_api.g_varchar2_table(74) := '756E6374696F6E2863297B76617220643D746869733B76617220653D7B686967686C696768743A66616C73657D3B76617220623D612E657874656E6428652C63293B696628642E6F7074696F6E732E6465627567297B617065782E646562756728225361';
wwv_flow_api.g_varchar2_table(75) := '7665204265666F726520457869743A206D6F6469666965644974656D73202873746172742922297D642E5F6465746563744D6F64696669636174696F6E732866616C73652C622E686967686C696768742C74727565293B696628642E6F7074696F6E732E';
wwv_flow_api.g_varchar2_table(76) := '6465627567297B617065782E6465627567282253617665204265666F726520457869743A206D6F6469666965644974656D732028656E642922297D72657475726E20642E5F656C656D656E74732E246D6F6469666965644974656D737D2C656E61626C65';
wwv_flow_api.g_varchar2_table(77) := '5761726E696E673A66756E6374696F6E28297B76617220623D746869733B696628622E6F7074696F6E732E6465627567297B617065782E6465627567282253617665204265666F726520457869743A20656E61626C655761726E696E6720287374617274';
wwv_flow_api.g_varchar2_table(78) := '2922297D622E5F76616C7565732E70726F6D7074557365723D747275653B696628622E6F7074696F6E732E6465627567297B617065782E6465627567282253617665204265666F726520457869743A20656E61626C655761726E696E672028656E642922';
wwv_flow_api.g_varchar2_table(79) := '297D7D2C64697361626C655761726E696E673A66756E6374696F6E28297B76617220623D746869733B696628622E6F7074696F6E732E6465627567297B617065782E6465627567282253617665204265666F726520457869743A2064697361626C655761';
wwv_flow_api.g_varchar2_table(80) := '726E696E67202873746172742922297D622E5F76616C7565732E70726F6D7074557365723D66616C73653B696628622E6F7074696F6E732E6465627567297B617065782E6465627567282253617665204265666F726520457869743A2064697361626C65';
wwv_flow_api.g_varchar2_table(81) := '5761726E696E672028656E642922297D7D2C656E61626C655761726E696E67466F7263653A66756E6374696F6E28297B76617220623D746869733B696628622E6F7074696F6E732E6465627567297B617065782E6465627567282253617665204265666F';
wwv_flow_api.g_varchar2_table(82) := '726520457869743A20656E61626C655761726E696E67466F726365202873746172742922297D622E5F76616C7565732E666F72636550726F6D70743D747275653B696628622E6F7074696F6E732E6465627567297B617065782E64656275672822536176';
wwv_flow_api.g_varchar2_table(83) := '65204265666F726520457869743A20656E61626C655761726E696E67466F7263652028656E642922297D7D2C64697361626C655761726E696E67466F7263653A66756E6374696F6E28297B76617220623D746869733B696628622E6F7074696F6E732E64';
wwv_flow_api.g_varchar2_table(84) := '65627567297B617065782E6465627567282253617665204265666F726520457869743A2064697361626C655761726E696E67466F726365202873746172742922297D622E5F76616C7565732E666F72636550726F6D70743D66616C73653B696628622E6F';
wwv_flow_api.g_varchar2_table(85) := '7074696F6E732E6465627567297B617065782E6465627567282253617665204265666F726520457869743A2064697361626C655761726E696E67466F7263652028656E642922297D7D2C7761726E696E67466F726365456E61626C65643A66756E637469';
wwv_flow_api.g_varchar2_table(86) := '6F6E28297B76617220623D746869733B696628622E6F7074696F6E732E6465627567297B617065782E6465627567282253617665204265666F726520457869743A207761726E696E67466F726365456E61626C6564202873746172742F656E642922297D';
wwv_flow_api.g_varchar2_table(87) := '72657475726E20622E5F76616C7565732E666F72636550726F6D70747D7D297D2928617065782E6A5175657279293B';
null;
 
end;
/

 
begin
 
wwv_flow_api.create_plugin_file (
  p_id => 20471713459131757 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_id => 28532816418485247540 + wwv_flow_api.g_id_offset
 ,p_file_name => 'apex_save_before_exit.min.js'
 ,p_mime_type => 'text/javascript'
 ,p_file_content => wwv_flow_api.g_varchar2_table
  );
null;
 
end;
/

commit;
begin 
execute immediate 'begin dbms_session.set_nls( param => ''NLS_NUMERIC_CHARACTERS'', value => '''''''' || replace(wwv_flow_api.g_nls_numeric_chars,'''''''','''''''''''') || ''''''''); end;';
end;
/
set verify on
set feedback on
prompt  ...done
